services:
  app.listener.entity.membership_listener:
    class: App\Listener\Entity\MembershipListener
    tags:
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Membership, event: postPersist, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Membership, event: preUpdate, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Membership, event: postUpdate, lazy: true }